package lab07;

import java.io.IOException;
import java.net.InetSocketAddress;
import java.net.URISyntaxException;
import java.nio.channels.ServerSocketChannel;
import java.nio.channels.SocketChannel;
import java.nio.file.Path;
import java.nio.file.Paths;

import lombok.extern.log4j.Log4j2;

@Log4j2
public class Main {
	public static void main(String[] args) throws IOException, URISyntaxException {
		int port = 8000;
		String basePathName = "..";
		Path basePath = Paths.get(basePathName).toRealPath();
		log.info("Started server on http://localhost:{} with base path {}", port, basePath);
		HttpHandler handler = new HttpHandler(Paths.get("."));
		ServerSocketChannel ssc = ServerSocketChannel.open();
		ssc.bind(new InetSocketAddress(8000));
		
		while(true) {
			SocketChannel sc = ssc.accept();
			handler.handle(sc);
		}
		//ssc.close();
	}
}
